Manually trigger execution of a workflow
curl --request POST \
--url https://api.artu.ai/workflows/{id}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"triggerType": "schedule",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"payload": "<unknown>"
}
'import requests
url = "https://api.artu.ai/workflows/{id}/trigger"
payload = {
"triggerType": "schedule",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"payload": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
triggerType: 'schedule',
entityId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inputs: {},
uploadId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filename: '<string>',
payload: '<unknown>'
})
};
fetch('https://api.artu.ai/workflows/{id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflows/{id}/trigger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'triggerType' => 'schedule',
'entityId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'inputs' => [
],
'uploadId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'filename' => '<string>',
'payload' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflows/{id}/trigger"
payload := strings.NewReader("{\n \"triggerType\": \"schedule\",\n \"entityId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inputs\": {},\n \"uploadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"filename\": \"<string>\",\n \"payload\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/workflows/{id}/trigger")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"triggerType\": \"schedule\",\n \"entityId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inputs\": {},\n \"uploadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"filename\": \"<string>\",\n \"payload\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflows/{id}/trigger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"triggerType\": \"schedule\",\n \"entityId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inputs\": {},\n \"uploadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"filename\": \"<string>\",\n \"payload\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"error": "<string>",
"alertIds": [
"<string>"
],
"durationMs": 0,
"producedRecords": [],
"producedFiles": [],
"rowCount": 0,
"schemaHash": "<string>"
}Workflows
Manually trigger execution of a workflow
POST
/
workflows
/
{id}
/
trigger
Manually trigger execution of a workflow
curl --request POST \
--url https://api.artu.ai/workflows/{id}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"triggerType": "schedule",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"payload": "<unknown>"
}
'import requests
url = "https://api.artu.ai/workflows/{id}/trigger"
payload = {
"triggerType": "schedule",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"payload": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
triggerType: 'schedule',
entityId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inputs: {},
uploadId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filename: '<string>',
payload: '<unknown>'
})
};
fetch('https://api.artu.ai/workflows/{id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflows/{id}/trigger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'triggerType' => 'schedule',
'entityId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'inputs' => [
],
'uploadId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'filename' => '<string>',
'payload' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflows/{id}/trigger"
payload := strings.NewReader("{\n \"triggerType\": \"schedule\",\n \"entityId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inputs\": {},\n \"uploadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"filename\": \"<string>\",\n \"payload\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/workflows/{id}/trigger")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"triggerType\": \"schedule\",\n \"entityId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inputs\": {},\n \"uploadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"filename\": \"<string>\",\n \"payload\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflows/{id}/trigger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"triggerType\": \"schedule\",\n \"entityId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"inputs\": {},\n \"uploadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"filename\": \"<string>\",\n \"payload\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"error": "<string>",
"alertIds": [
"<string>"
],
"durationMs": 0,
"producedRecords": [],
"producedFiles": [],
"rowCount": 0,
"schemaHash": "<string>"
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Response
200 - application/json
OK
- Option 1
- Option 2
Available options:
queued, completed, waiting_for_input Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?
